index_set
Inheritance diagram for index_set:

## Public Types

typedef std::set< std::size_t > | base
typedef std::size_t | value_type
typedef std::size_t | size_type

## Public Member Functions

| index_set ()
| index_set (const index_set &x)
index_set & | operator= (const index_set &x)
template<int N>
index_set & | operator= (size_type x[N])
void | clear ()
void | insert (size_type dis_i)
index_set & | operator+= (size_type dis_i)
index_set & | operator+= (const index_set &b)
void | inplace_union (const index_set &b)
void | inplace_intersection (const index_set &b)
template<class Archive >
void | serialize (Archive &ar, const unsigned int version)
template<int N>
index_set & | operator= (size_t x[N])

## Detailed Description

Definition at line 58 of file index_set_header.icc.

## Member Typedef Documentation

## base

typedef std::set<std::size_t> base

Definition at line 63 of file index_set_header.icc.

## value_type

typedef std::size_t value_type

Definition at line 64 of file index_set_header.icc.

## size_type

typedef std::size_t size_type

Definition at line 65 of file index_set_header.icc.

## Constructor & Destructor Documentation

## index_set() [1/2]

index_set | ( |  | ) |

Definition at line 132 of file index_set_header.icc.

## index_set() [2/2]

index_set | ( | const index_set & | x | ) |

Definition at line 35 of file index_set_body.icc.

## Member Function Documentation

## operator=() [1/3]

index_set & operator= | ( | const index_set & | x | ) |

Definition at line 43 of file index_set_body.icc.

## operator=() [2/3]

index_set& operator= | ( | size_type | x[N] | ) |

## clear()

void clear | ( |  | ) |

Definition at line 152 of file index_set_header.icc.

## insert()

void insert | ( | size_type | dis_i | ) |

Definition at line 158 of file index_set_header.icc.

## operator+=() [1/2]

index_set & operator+= | ( | size_type | dis_i | ) |

Definition at line 164 of file index_set_header.icc.

## operator+=() [2/2]

index_set & operator+= | ( | const index_set & | b | ) |

Definition at line 52 of file index_set_body.icc.

## inplace_union()

void inplace_union | ( | const index_set & | b | ) |

Definition at line 99 of file index_set_body.icc.

## inplace_intersection()

void inplace_intersection | ( | const index_set & | b | ) |

Definition at line 129 of file index_set_body.icc.

## serialize()

void serialize | ( | Archive & | ar,
|  | const unsigned int | version
| ) |  |

Definition at line 173 of file index_set_header.icc.

## operator=() [3/3]

index_set& operator= | ( | size_t | x[N] | ) |

Definition at line 140 of file index_set_header.icc.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/index_set_header.icc
- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/index_set_body.icc